#
# modules/sym53c500.mk 1998/01/01 (Tom Corner)
#

# Include site dependent options and kernel configuration
include ../config.mk

ifndef CFLAGS
# Don't remove "-O2" or bad things will happen!
CFLAGS = -O2 -Wall -Wstrict-prototypes -Winline -pipe
endif

CC := $(CC) $(AFLAGS) $(KFLAGS)
CPPFLAGS = $(PCDEBUG) -D__KERNEL__ -DMODULE -I../include \
	   -I$(LINUX)/include -I$(LINUX)
COFLAGS = -kv

XFLAGS = -D__KERNEL__ -I../include -I$(LINUX)/include -I$(LINUX)/drivers/scsi
ifdef CONFIG_MODVERSIONS
XFLAGS := $(XFLAGS) $(MFLAG)
endif


sym53c500_cs.o: SYM53C500.c sym53c500.c ../include/linux/config.h
	$(CC) -c $(CFLAGS) \
           $(XFLAGS) $(SFLAGS) -D__NO_VERSION__ \
           SYM53C500.c -o SYM53C500.o 
	$(CC) -c $(CFLAGS) $(CPPFLAGS) -o sym53c500.o sym53c500.c
	$(LD) -r -o $@ sym53c500.o SYM53C500.o
