# Sample Makefile for contributed client driver
FILES = elsa.mk README.elsa \
	clients/elsa_cs.c \
	etc/isdn man/elsa_cs.4

all:
	$(MAKE) -C clients MODULES=elsa_cs.o

install: install_modules
	$(MAKE) -C man install-man4 MAN4=elsa_cs.4
	install -d $(PREFIX)/$(DOCDIR)
	cp README.elsa $(PREFIX)/$(DOCDIR)

install_modules:
	$(MAKE) -C clients install-modules MODULES=elsa_cs.o

dist:
	tar czvf elsa.tar.gz $(FILES)
