FILES = ss5136dn_cs.mk README.ss5136dn_cs \
        modules/ss5136dn_cs.c modules/ss5136dn_cs.h \
        doc/ss5136man.html doc/ss5136man.txt

move:
	@for a in modules/ss5136dn_cs.{h,c}; do \
           test -f $$a \
              && mv $$a clients/ \
              || true; \
         done

all: move
	$(MAKE) -C clients MODULES=ss5136dn_cs.o

install: install_modules
	install -d $(PREFIX)/$(DOCDIR)/ss5136dn
	cp README.ss5136dn_cs $(PREFIX)/$(DOCDIR)
	cp doc/ss* $(PREFIX)/$(DOCDIR)/ss5136dn

install_modules:
	$(MAKE) -C clients install-modules MODULES=ss5136dn_cs.o

dist:
	tar cvzf ss5136dn_cs-0.3.tar.gz $(FILES)
