# Makefile for sym53c500_cs SCSI adapter driver
FILES = sym53c500_cs.mk README.sym53c500_cs    \
        modules/sym53c500.c modules/SYM53C500.c modules/SYM53C500.h \
        modules/sym53c500_cs.mk \
        man/sym53c500_cs.4
move:
	@for a in modules/{sym53c500{.c,_cs.mk},SYM53C500.{c,h}}; do \
           test -f $$a \
              && mv $$a clients/ \
              || true; \
         done
 
all: move
	$(MAKE) -C clients -f sym53c500_cs.mk

install: install_modules
	$(MAKE) -C man install-man4 MAN4=sym53c500_cs.4
	install -d $(PREFIX)/$(DOCDIR)
	cp README.sym53c500_cs $(PREFIX)/$(DOCDIR)

install_modules:
	$(MAKE) -C clients install-modules MODULES=sym53c500_cs.o

dist:
	tar -czvf sym53c500_cs.tar.gz $(FILES)

